Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07281 DIP/Input Minor Always Apr 20, 2019, 04:18 Apr 21, 2019, 12:28
Tester Mr. Do View Status Public Platform MAME (Official Binary)
Assigned To Robbbert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver pocketc.cpp
Version 0.208 Fixed in Version 0.209 Build 64-bit
Summary MESS-specific 07281: pc1401, pc1402: Incorrect and Duplicate Inputs
Description Some inputs are not working, or are set incorrectly. Unsure of how many in total.
Example 1: Per manual, clicking "BASIC" button puts the PC1401 in PC mode... currently does nothing.
Example 2: Press keys 3, 6, 9... will show on screen as 2, 5, 8. Next column of keys will also display 2, 5, 8. Also some of the function keys at top will display 2, 5, 8.
Example 3: Since I can't get the system into PC mode... can't test any of the alpha keys.
Steps To Reproduce mame64 pc1401
Press 3, 6, 9 keys to see incorrect input.
Additional Information If it will assist in testing, here is a copy of updated artwork.

http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=382074
Flags
Regression Version 0.205
Affected Sets / Systems pc1401, pc1402
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.16344
Tafoid
Administrator
Apr 20, 2019, 14:04
This commit appears to be the offender from Dec 10, 2018:
https://github.com/mamedev/mame/commit/7e140bb4d0de91013ef5e216c43e6b2c2d3fce25
User avatar
No.16349
Robbbert
Developer
Apr 21, 2019, 09:15
Fixed typos in the offending commit. This also fixes the keyboard in pc1251 etc.

Note that although pc1403 is listed as not working, it can be convinced otherwise by hitting Enter as soon as emulation starts.